/*!
 * @file ItemEgo.cpp
 * @brief ゲーム中のアイテムエゴを定義する
 * @date 2013/12/11
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "ItemEgo.h"

ItemEgo::ItemEgo(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
{
	this->SetDammyData();
}

ItemEgo::ItemEgo(void)
{
	this->SetDammyData();
}

ItemEgo::~ItemEgo(void)
{
}

void ItemEgo::SetDammyData(void)
{
	this->name = "";
	this->weight = 0;
}
